package com.bb.service;

import java.util.HashMap;
import java.util.List;

import com.bb.model.BanGameSearch;
import com.bb.model.CmnSearch;
import com.bb.model.GameVo;

public interface CommonService {

	List<HashMap<String, String>> getGameCategoryList();

	List<HashMap<String, Object>> getGameVendorList(CmnSearch search);

	List<HashMap<String, Object>> getBanGameList(BanGameSearch search);

	int insertBanGameInfo(HashMap<String, Object> item);

	int insertNexusGameInfo(HashMap<String, Object> item);

	HashMap getVendorApiInfo(CmnSearch search);

	List<GameVo> getGrandGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	List<GameVo> getSevenGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	List<GameVo> getTplusGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	List<GameVo> getPracpGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	List<GameVo> getNexusGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

	List<GameVo> getTowerGameList(String LOG_PREFIX, HashMap<String, Object> apiInfo);

}
